Subject: [Breakage] 2.22.0-rc1 t5401-update-hooks.sh

From: "Randall S. Becker" <[email-masked]>
Date: Tue, 21 May 2019 17:47:54 -0400

Another situation came up during regression testing on NonStop:

t5401 broke on the first run through (most tests), with the failures below. 

*** t5401-update-hooks.sh ***
not ok 1 - setup
#
#               echo This is a test. >a &&
#               git update-index --add a &&
#               tree0=$(git write-tree) &&
#               commit0=$(echo setup | git commit-tree $tree0) &&
#               echo We hope it works. >a &&
#               git update-index a &&
#               tree1=$(git write-tree) &&
#               commit1=$(echo modify | git commit-tree $tree1 -p $commit0)
&&
#               git update-ref refs/heads/master $commit0 &&
#               git update-ref refs/heads/tofail $commit1 &&
#               git clone --bare ./. victim.git &&
#               GIT_DIR=victim.git git update-ref refs/heads/tofail $commit1
&&
#               git update-ref refs/heads/master $commit1 &&
#               git update-ref refs/heads/tofail $commit0
#
t5401-update-hooks.sh: line 26: victim.git/hooks/pre-receive: No such file
or di
rectory
chmod: cannot access 'victim.git/hooks/pre-receive': No such file or
directory
t5401-update-hooks.sh: line 35: victim.git/hooks/update: No such file or
directo
ry
chmod: cannot access 'victim.git/hooks/update': No such file or directory
t5401-update-hooks.sh: line 45: victim.git/hooks/post-receive: No such file
or d
irectory
chmod: cannot access 'victim.git/hooks/post-receive': No such file or
directory
t5401-update-hooks.sh: line 54: victim.git/hooks/post-update: No such file
or di
rectory
chmod: cannot access 'victim.git/hooks/post-update': No such file or
directory
ok 2 - push
etc.

When running the test in isolation, it passes without incident whether or
not --verbose is used. So far, this only occurs on the first run through. I
wanted to report it, based on the inconsistency of results. This is not the
first time tests have acted in this fashion, and I realize it is difficult
to do anything about it without being able to recreate the situation.

Such as it is,
Randall